Bug 1223058 - [abrt] deluge-gtk: addtorrentdialog.py:258:add_from_magnets:UnboundLocalError: local variable 'info_hash' referenced before assignment [NEEDINFO]
[abrt] deluge-gtk: addtorrentdialog.py:258:add_from_magnets:UnboundLocalError...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c354abcab78062d3f14ac6a9a65...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-19 13:29 EDT by Michael Jørgensen
Modified: 2016-04-21 21:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: deluge-1.3.12-3.fc24 deluge-1.3.12-3.fc23 deluge-1.3.12-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-15 17:32:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
calumlind: needinfo? (michael.finn.jorgensen)


Attachments (Terms of Use)
File: backtrace (1.63 KB, text/plain)
2015-05-19 13:29 EDT, Michael Jørgensen
no flags Details
File: environ (1.26 KB, text/plain)
2015-05-19 13:29 EDT, Michael Jørgensen
no flags Details

  None (edit)
Description Michael Jørgensen 2015-05-19 13:29:22 EDT
Description of problem:
Click on a magnet-link. I expect the torrent to be added and start downloading. Instead, this crash happens.

It happens every time.

Version-Release number of selected component:
deluge-gtk-1.3.11-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        deluge-gtk '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /bin/deluge-gtk
kernel:         3.19.7-200.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
addtorrentdialog.py:258:add_from_magnets:UnboundLocalError: local variable 'info_hash' referenced before assignment

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/queuedtorrents.py", line 180, in on_button_add_clicked
    self.liststore.foreach(add_torrent, None)
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/queuedtorrents.py", line 178, in add_torrent
    process_args([torrent_path])
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/ipcinterface.py", line 205, in process_args
    component.get("AddTorrentDialog").add_from_magnets([arg])
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 258, in add_from_magnets
    if info_hash in self.infos:
UnboundLocalError: local variable 'info_hash' referenced before assignment

Local variables in innermost frame:
self: <deluge.ui.gtkui.addtorrentdialog.AddTorrentDialog object at 0x7f721c072310>
base64: <module 'base64' from '/usr/lib64/python2.7/base64.pyc'>
uri: 'magnet:?xt=urn:btih:3e993201f52e2579620751a13a81c4b62c936f17\\\\&dn=Osho_Kundalini+meditation_music\\\\&tr=udp%3A%2F%2Ftracker.openbittorrent.com%3A80\\\\&tr=udp%3A%2F%2Fopen.demonii.com%3A1337\\\\&tr=udp%3A%2F%2Ftracker.coppersurfer.tk%3A6969\\\\&tr=udp%3A%2F%2Fexodus.desync.com%3A6969'
s: '3e993201f52e2579620751a13a81c4b62c936f17\\\\'
new_row: None
uris: ['magnet:?xt=urn:btih:3e993201f52e2579620751a13a81c4b62c936f17\\\\&dn=Osho_Kundalini+meditation_music\\\\&tr=udp%3A%2F%2Ftracker.openbittorrent.com%3A80\\\\&tr=udp%3A%2F%2Fopen.demonii.com%3A1337\\\\&tr=udp%3A%2F%2Ftracker.coppersurfer.tk%3A6969\\\\&tr=udp%3A%2F%2Fexodus.desync.com%3A6969']
Comment 1 Michael Jørgensen 2015-05-19 13:29:25 EDT
Created attachment 1027323 [details]
File: backtrace
Comment 2 Michael Jørgensen 2015-05-19 13:29:26 EDT
Created attachment 1027324 [details]
File: environ
Comment 3 Calum 2015-09-20 10:13:38 EDT
This looks like a malformed magnet uri because there should not be four backslashes in the string.

I will fix the unhandled error with an invalid magnet though.
Comment 4 Michael Cronenworth 2015-10-05 11:28:28 EDT
Upstream bug: http://dev.deluge-torrent.org/ticket/2763
Comment 5 Fedora End Of Life 2015-11-04 10:21:49 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Jan Kurik 2016-02-24 08:24:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 Fedora Update System 2016-04-12 01:17:18 EDT
deluge-1.3.12-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-55e5d566c7
Comment 8 Fedora Update System 2016-04-12 01:18:08 EDT
deluge-1.3.12-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef5670260f
Comment 9 Fedora Update System 2016-04-12 01:19:06 EDT
deluge-1.3.12-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b6ac96d107
Comment 10 Fedora Update System 2016-04-12 06:52:02 EDT
deluge-1.3.12-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-55e5d566c7
Comment 11 Fedora Update System 2016-04-13 04:35:02 EDT
deluge-1.3.12-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b6ac96d107
Comment 12 Fedora Update System 2016-04-13 05:26:55 EDT
deluge-1.3.12-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef5670260f
Comment 13 Fedora Update System 2016-04-15 17:32:48 EDT
deluge-1.3.12-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-04-20 15:21:13 EDT
deluge-1.3.12-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-04-21 21:49:48 EDT
deluge-1.3.12-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.